'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.SelectboxAnchor = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _tslib = require('tslib');

var tslib_1 = _interopRequireWildcard(_tslib);

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _pure = require('../../utils/pure');

var _Button = require('../Button/Button');

var _classnames2 = require('classnames');

var _classnames3 = _interopRequireDefault(_classnames2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var RawSelectboxAnchor = function (_React$Component) {
    _inherits(RawSelectboxAnchor, _React$Component);

    function RawSelectboxAnchor() {
        _classCallCheck(this, RawSelectboxAnchor);

        return _possibleConstructorReturn(this, (RawSelectboxAnchor.__proto__ || Object.getPrototypeOf(RawSelectboxAnchor)).apply(this, arguments));
    }

    _createClass(RawSelectboxAnchor, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                theme = _props.theme,
                children = _props.children,
                valueText = _props.valueText,
                isDisabled = _props.isDisabled,
                isPrimary = _props.isPrimary,
                isLoading = _props.isLoading,
                caretIcon = _props.caretIcon,
                onClick = _props.onClick,
                isOpened = _props.isOpened;

            var buttonTheme = {
                container: (0, _classnames3.default)(theme.container, _defineProperty({}, theme.container_isOpened, isOpened))
            };
            return React.createElement(_Button.Button, { onClick: onClick, isDisabled: isDisabled, isLoading: isLoading, isPrimary: isPrimary, theme: buttonTheme }, React.createElement("div", { className: theme.content }, React.createElement("div", { className: theme.text }, valueText), React.createElement("div", { className: theme.caret }, caretIcon)), children);
        }
    }]);

    return RawSelectboxAnchor;
}(React.Component);
RawSelectboxAnchor = tslib_1.__decorate([_pure.PURE], RawSelectboxAnchor);
var SelectboxAnchor = exports.SelectboxAnchor = RawSelectboxAnchor;