'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.DISPOSABLE = DISPOSABLE;

var _disposable = require('@devexperts/utils/lib/function/disposable');

function DISPOSABLE(target) {
    var disposable = (0, _disposable.DISPOSABLE)(target);
    //noinspection JSDuplicatedDeclaration
    var componentWillUnmount = disposable.prototype.componentWillUnmount;
    disposable.prototype.componentWillUnmount = function () {
        if (componentWillUnmount) {
            componentWillUnmount();
        }
        this.dispose();
    };
    return disposable;
}